Bug 269257 - IDE doesn't highlight "#pragma omp taskgroup " and "#pragma omp taskloop" directives
IDE doesn't highlight "#pragma omp taskgroup " and "#pragma omp taskloop" dir...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
Dev
PC All
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-07 10:13 UTC by soldatov
Modified: 2016-12-10 02:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2016-12-07 10:13:50 UTC
For example: https://docs.oracle.com/cd/E37069_01/html/E37081/gozsi.html

Add such lines to code:
#pragma omp taskloop
#pragma omp taskgroup 
#pragma omp parallel
#pragma omp single

taskloop and taskgroup has black color.
Comment 1 Alexander Simon 2016-12-07 11:47:51 UTC
fixed in enum, branch release82, change set 30cdfcd252d1
Comment 2 soldatov 2016-12-08 11:10:31 UTC
Verified in internal NetBeans 8,2 patch 1 build.
Comment 3 Quality Engineering 2016-12-10 02:59:25 UTC
Integrated into 'main-silver', will be available in build *201612100001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/29f19e601d26
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #269257 IDE doesn't highlight "#pragma omp taskgroup " and "#pragma omp taskloop" directives
(transplanted from 30cdfcd252d165c8efdd22dc65ce850ac0b3af1f)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo